Placement API/es: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
Line 1: Line 1:
In FreeCAD, Placement defines an object's position and rotation. The Placement concept is explained in detail here: [[Placement|Placement]].
Una ubicación en FreeCAD es un objeto definiendo una posición y rotación. Una ubicación se puede añadir a un objeto de FreeCAD, para orientarlo/posicionarlo en el documento. Por ejemplo:


Example of setting a document object's Placement:
myObj = FreeCAD.ActiveDocument.ActiveObject
myObj = FreeCAD.ActiveDocument.ActiveObject
pl = FreeCAD.Placement()
pl = FreeCAD.Placement()
Line 6: Line 7:
myObj.Placement = pl
myObj.Placement = pl


{{APIClass/es|Placement| ) o (Placement) o (Matrix) o (Base, Rotation) o (Base,Rotation,Center) o (Base,Axis,Angle|Construye una ubicación, vacía o con los argumentos dados, o como una copia de la ubicación dada.}}
{{APIProperty/es|Base|Un vector representando la posición de la Ubicación.}}
{{APIProperty/es|Rotation|Una cuaterna representando la rotación de la Ubicación.}}
{{APIFunction/es|inverse| |Calcula la ubicación inversa|Una ubicación.}}
{{APIFunction/es|move|Vector|Mueve la Ubicación a lo largo del vector dado|Nada}}
{{APIFunction/es|multVec|Vector|Aplica la ubicación al vector dado|El vector resultante.}}
{{APIFunction/es|multiply|Placement|Multiplica esta Ubicación con otra|La Ubicación resultante.}}
{{APIFunction/es|toMatrix| | |Una matriz representando la transformación de la Ubicación.}}


{{APIClass|Placement| ) or (Placement) or (Matrix) or (Base, Rotation) or (Base,Rotation,Center) or (Base,Axis,Angle|Constructs a placement, empty or with the given arguments, or as a copy of the given placement.}}
{{languages/es | {{en|Placement_API}} }}
{{APIProperty|Base|a vector representing the Placement's position.}}
{{APIProperty|Rotation|a quaternion representing the Placement's rotation.}}
{{APIFunction|inverse| |computes the inverse placement|a placement.}}
{{APIFunction|move|Vector|moves the Placement along the given vector|nothing}}
{{APIFunction|multVec|Vector|applies the Placement to the given vector|the resulting vector.}}
{{APIFunction|multiply|Placement|multiplies this placement with another one|the resulting placement.}}
{{APIFunction|toMatrix| | |a matrix representing the Placement's transformation.}}


[[Category:API/es]]
[[Category:API]]

{{clear}}
<languages/>

Revision as of 22:51, 15 November 2014

In FreeCAD, Placement defines an object's position and rotation. The Placement concept is explained in detail here: Placement.

Example of setting a document object's Placement:

myObj = FreeCAD.ActiveDocument.ActiveObject
pl = FreeCAD.Placement()
pl.move(FreeCAD.Vector(2,0,0))
myObj.Placement = pl


Placement( ) or (Placement) or (Matrix) or (Base, Rotation) or (Base,Rotation,Center) or (Base,Axis,Angle)

Description: Constructs a placement, empty or with the given arguments, or as a copy of the given placement.

Base

Returns: a vector representing the Placement's position.

Rotation

Returns: a quaternion representing the Placement's rotation.

inverse( )

Description: computes the inverse placement

Returns: a placement.

move(Vector)

Description: moves the Placement along the given vector

Returns: nothing

multVec(Vector)

Description: applies the Placement to the given vector

Returns: the resulting vector.

multiply(Placement)

Description: multiplies this placement with another one

Returns: the resulting placement.

toMatrix( )

Description:

Returns: a matrix representing the Placement's transformation.